Bug 848120 - [abrt] mysql-workbench-5.2.40-1.fc17: Process /usr/bin/mysql-workbench-bin was killed by signal 11 (SIGSEGV)
[abrt] mysql-workbench-5.2.40-1.fc17: Process /usr/bin/mysql-workbench-bin wa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mysql-workbench (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
abrt_hash:a5dafe07855c7aedd43ce5aa994...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-14 12:37 EDT by david.lewis
Modified: 2012-09-12 08:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-12 08:49:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (58.72 KB, text/plain)
2012-08-14 12:37 EDT, david.lewis
no flags Details
File: xsession_errors (5.97 KB, text/plain)
2012-08-14 12:37 EDT, david.lewis
no flags Details
File: maps (80.93 KB, text/plain)
2012-08-14 12:37 EDT, david.lewis
no flags Details
File: dso_list (17.18 KB, text/plain)
2012-08-14 12:37 EDT, david.lewis
no flags Details
File: build_ids (6.45 KB, text/plain)
2012-08-14 12:37 EDT, david.lewis
no flags Details

  None (edit)
Description david.lewis 2012-08-14 12:37:32 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 3
cmdline:        /usr/bin/mysql-workbench-bin
comment:        create query
executable:     /usr/bin/mysql-workbench-bin
kernel:         3.5.1-1.fc17.x86_64
pid:            5482
pwd:            /home/dlewis
remote_result:  NOTFOUND
time:           Tue 14 Aug 2012 09:23:15 AM EDT
uid:            1000
username:       dlewis
var_log_messages: Aug 14 09:23:16 cnd0290ww9-medpro-com abrt[5498]: Saved core dump of pid 5482 (/usr/bin/mysql-workbench-bin) to /var/spool/abrt/ccpp-2012-08-14-09:23:15-5482 (93040640 bytes)

backtrace:      Text file, 60127 bytes
build_ids:      Text file, 6601 bytes
dso_list:       Text file, 17588 bytes
maps:           Text file, 82870 bytes
xsession_errors: Text file, 6111 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/dlewis/2

core_backtrace:
:f6a3bf9cd22ab4b5da69d6e4909d271d4677cff2 0x48c9a0 - db.mysql.sqlparser.grt.so -
:803c23c4ec8c005781fa0a94052d115d98fa8a46 0x4c1e68 boost::function0<bool>::operator()() [exe] -
:c570777b24f11b0d59390a8d6c644f0a5e3ce47c 0x38bcfa Sql_editor::check_sql(bool) libwbpublic.so.0 -
:47152b1c9963f9e2d59f250cafcda6dcdf0e56c0 0x4d07c SqlEditorFE::check_sql(bool) libsqlide.so.0 -
:47152b1c9963f9e2d59f250cafcda6dcdf0e56c0 0x4d175 SqlEditorFE::set_text(std::string libsqlide.so.0 -
:9af752f6f90f54f6bfb2be5be9f3fa7ad392d458 0xc9f3e DbMySQLRoutineEditor::set_sql_from_be() db.mysql.editors.wbp.so -
:9af752f6f90f54f6bfb2be5be9f3fa7ad392d458 0xcaa8b DbMySQLRoutineEditor::DbMySQLRoutineEditor(grt::Module*, db.mysql.editors.wbp.so -
:9af752f6f90f54f6bfb2be5be9f3fa7ad392d458 0xcad4f createDbMysqlRoutineEditor db.mysql.editors.wbp.so -
:803c23c4ec8c005781fa0a94052d115d98fa8a46 0x3ebc28 MainForm::open_plugin_becb(bec::GRTManager*, [exe] -
:803c23c4ec8c005781fa0a94052d115d98fa8a46 0x3e66ef sigc::bound_mem_functor6<void*, [exe] -
:803c23c4ec8c005781fa0a94052d115d98fa8a46 0x3e6759 boost::detail::function::function_obj_invoker6<sigc::bound_mem_functor6<void*, [exe] -
:c570777b24f11b0d59390a8d6c644f0a5e3ce47c 0x2fe946 boost::function6<void*, libwbpublic.so.0 -
:c570777b24f11b0d59390a8d6c644f0a5e3ce47c 0x2f5296 bec::PluginManagerImpl::open_gui_plugin_main(grt::Ref<app_Plugin> libwbpublic.so.0 -
:c570777b24f11b0d59390a8d6c644f0a5e3ce47c 0x2f5ad8 bec::PluginManagerImpl::open_gui_plugin(grt::Ref<app_Plugin> libwbpublic.so.0 -
:803c23c4ec8c005781fa0a94052d115d98fa8a46 0x5d7069 wb::WBContext::open_object_editor(grt::Ref<GrtObject> [exe] -
:803c23c4ec8c005781fa0a94052d115d98fa8a46 0x551869 SqlEditorForm::do_alter_live_object(wb::LiveSchemaTree::ObjectType, [exe] -
:803c23c4ec8c005781fa0a94052d115d98fa8a46 0x552f00 SqlEditorForm::tree_alter_objects(std::vector<wb::LiveSchemaTree::ChangeRecord, [exe] -
:803c23c4ec8c005781fa0a94052d115d98fa8a46 0x5820b2 wb::LiveSchemaTree::activate_popup_item_for_nodes(std::string [exe] -
:c770d09f1700c58e4a8fd2aad2b19e3164896c1d 0x4693c - liblinux_utilities.so.0 -
:c770d09f1700c58e4a8fd2aad2b19e3164896c1d 0x4c8ea sigc::internal::slot_call1<sigc::bind_functor<-1, liblinux_utilities.so.0 -
:f3cd3b4e0a6c31e9af1598f478198ab0f52b6ca9 0x4ded8 Glib::SignalProxyNormal::slot0_void_callback(_GObject*, libglibmm-2.4.so.1 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x208ce - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x2805fc gtk_widget_activate libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x1645ad gtk_menu_shell_activate_item libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x1649ac - libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14db4c - libgtk-x11-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x20450 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x2815ae - libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14b914 gtk_propagate_event libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14bc7b gtk_main_do_event libgtk-x11-2.0.so.0 -
:fd952473da735f9c0f50de231aa3d84d7855ef57 0x61edc - libgdk-x11-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14ac57 gtk_main libgtk-x11-2.0.so.0 -
:803c23c4ec8c005781fa0a94052d115d98fa8a46 0x3dd6c3 main [exe] -

environ:
:LD_PRELOAD=/$LIB/libSegFault.so
:SEGFAULT_OUTPUT_NAME=/tmp/segv_output.cMO04b
:SEGFAULT_USE_ALTSTACK=1
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=CND0290WW9
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=5474
:GPG_AGENT_INFO=/run/user/dlewis/keyring-q5SLE0/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=6c568b56c1453d6689a6c7e50000001b-1344949480.455966-1000232987
:GJS_DEBUG_OUTPUT=stderr
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/dlewis/keyring-q5SLE0
:QTINC=/usr/lib64/qt-3.3/include
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=dlewis
:LD_LIBRARY_PATH=/usr/lib64/mysql-workbench
:SSH_AUTH_SOCK=/run/user/dlewis/keyring-q5SLE0/ssh
:USERNAME=dlewis
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1844,unix/unix:/tmp/.ICE-unix/1844
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/MySQLWorkbench.desktop
:MAIL=/var/spool/mail/dlewis
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/dlewis/.local/bin:/home/dlewis/bin:/usr/share/mysql-workbench/python
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/dlewis
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1840
:LANG=en_US.utf8
:MWB_PLUGIN_DIR=/usr/lib64/mysql-workbench/plugins
:'MYSQL_UTILITIES_COMMANDS=mysqlmetagrep mysqlserverinfo mysqlrplcheck mysqlrpladmin mysqlfailover mysqlprocgrep mysqldbexport mysqldiskusage mysqldiff mysqldbcopy mysqlreplicate mysqldbcompare mysqluserclone mysqlserverclone mysqldbimport mysqlindexcheck mysqlrplshow'
:GDM_LANG=en_US.utf8
:MWB_DATA_DIR=/usr/share/mysql-workbench
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/dlewis
:SHLVL=3
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:DBC_DRIVER_PATH=/usr/lib64/mysql-workbench
:LOGNAME=dlewis
:PYTHONPATH=/usr/share/mysql-workbench/python
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-ZAgSGTrr2N,guid=e9f4d7caa9c5c7dad3af97e400000041
:MWB_MODULE_DIR=/usr/lib64/mysql-workbench/modules
:MWB_LIBRARY_DIR=/usr/share/mysql-workbench/libraries
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/dlewis
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-dlewis-9KNdTZ/database
:_=/usr/bin/mysql-workbench-bin

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 62603                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       62603                62603                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/dlewis/.xsession-errors
:pos:	4915
:flags:	0102002
:2:/home/dlewis/.xsession-errors
:pos:	4915
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:pipe:[59109]
:pos:	0
:flags:	02000000
:5:pipe:[59109]
:pos:	0
:flags:	02000001
:6:socket:[59110]
:pos:	0
:flags:	02004002
:7:socket:[60728]
:pos:	0
:flags:	02004002
:8:anon_inode:inotify
:pos:	0
:flags:	02004000
:9:/tmp/mysql-workbench.dlewis/2d69c134-e613-11e1-871a-88ae1dab0e0c.db
:pos:	7168
:flags:	02100002
:10:/tmp/mysql-workbench.dlewis/2d6fc836-e613-11e1-871a-88ae1dab0e0c.db
:pos:	7168
:flags:	02100002
:11:/dev/urandom
:pos:	0
:flags:	02100000
:12:/tmp/mysql-workbench.dlewis/2d7045cc-e613-11e1-871a-88ae1dab0e0c.db
:pos:	7168
:flags:	02100002
:13:/tmp/mysql-workbench.dlewis/2d70ca6a-e613-11e1-871a-88ae1dab0e0c.db
:pos:	7168
:flags:	02100002
:14:/usr/share/mysql-workbench/sshtunnel.py
:pos:	15726
:flags:	0100000
:15:socket:[61813]
:pos:	0
:flags:	02004002
:16:socket:[63531]
:pos:	0
:flags:	02
:17:socket:[63534]
:pos:	0
:flags:	02
:18:/home/dlewis/.mysql/workbench/sql_workspaces/usplsvump102-1.autosave/lock
:pos:	5
:flags:	0100001
:19:/tmp/segv_output.cMO04b
:pos:	84661
:flags:	0100001
:20:/dev/urandom
:pos:	0
:flags:	0100000

smolt_data:
:
:
:General
:=================================
:UUID: cf2ebb54-0ffb-4e65-b8c8-0ee9d33acdd5
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4788.11
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 520  @ 2.40GHz
:CPU Stepping: 2
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2400
:System Memory: 7848
:System Swap: 9951
:Vendor: Hewlett-Packard
:System: HP EliteBook 8540p 
:Form factor: Notebook
:Kernel: 3.5.1-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4147:404:4156:5409) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:16953:32902:4881) pci, iwlwifi, NETWORK, Centrino Advanced-N 6200 2x2 AGN
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:4156:5409) pci, None, HOST/PCI, Core Processor DRAM Controller
:(32902:69:4156:5409) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15151:4156:5409) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15111:4156:5409) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:4156:5409) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:4330:4156:5409) pci, e1000e, ETHERNET, 82577LM Gigabit Network Connection
:(32902:9288:4156:5409) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:4156:5409) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:4156:5409) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:4156:5409) pci, mei, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:15176:4156:5409) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:4156:5409) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4156:5409) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15184:4156:5409) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 8
:(32902:15190:4156:5409) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15207:4156:5409) pci, serial, 16550_SERIAL, 5 Series/3400 Series Chipset KT Controller
:(4318:3042:4156:5409) pci, snd_hda_intel, MULTIMEDIA, High Definition Audio Controller
:(4318:2604:4156:5409) pci, nouveau, VIDEO, GT216 [NVS 5100M]
:(4480:1426:4156:5409) pci, r592, BASE, R5C592 Memory Stick Bus Host Adapter
:(4480:2130:4156:5409) pci, None, BASE, xD-Picture Card Controller
:(4480:2098:4156:5409) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(4480:2082:4156:5409) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(4480:1142:4156:5409) pci, yenta_cardbus, PCI/CARDBUS, RL5c476 II
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_cnd0290ww9-lv_root / ext4 4096 4096 12901535 9439550 8784190 3276800 2832916 2832916
:/dev/sda1 /boot ext4 1024 1024 495844 401080 375480 128016 127754 127754
:/dev/mapper/vg_cnd0290ww9-lv_home /home ext4 4096 4096 44550272 14915126 12652086 11321344 10935976 10935976
:
Comment 1 david.lewis 2012-08-14 12:37:36 EDT
Created attachment 604360 [details]
File: backtrace
Comment 2 david.lewis 2012-08-14 12:37:38 EDT
Created attachment 604361 [details]
File: xsession_errors
Comment 3 david.lewis 2012-08-14 12:37:40 EDT
Created attachment 604362 [details]
File: maps
Comment 4 david.lewis 2012-08-14 12:37:42 EDT
Created attachment 604363 [details]
File: dso_list
Comment 5 david.lewis 2012-08-14 12:37:43 EDT
Created attachment 604364 [details]
File: build_ids
Comment 6 Remi Collet 2012-09-12 08:49:47 EDT
mysql-workbench-5.2.42-2 has been pushed to the Fedora stable repository.

Note You need to log in before you can comment on or make changes to this bug.